GCC 2.9 Compat kitaplıklarının kurulumu

GCC 2.96 Compat paketinin kurulumu

Fedora Core 2'den aşağıdaki paketleri kurun:

  • compat-libstdc++-7.3-2.96.126.i386.rpm

  • compat-libstdc++-devel-7.3-2.96.126.i386.rpm

  • compat-gcc-7.3-2.96.126.i386.rpm

  • compat-gcc-c++-7.3-2.96.126.i386.rpm

Mevcut paketlerin üzerine yazmayın

Mevcut GCC kurulumunuzu koruduğunuzdan emin olun, yoksa yazılımlarınızın büyük bölümü çalışmayacak ya da derlenmeyecektir. Bu paketlerin daha yeni sürüm numaralarıyla sisteminizde kurulu olmaları durumunda rpm -i --force komutunu kullanarak eskilerin yenilerin yanına kurulmalarını sağlayın.

Fedora Core 3'den compat-db paketini kurun.

Eğer GCC compat kitaplıklarını yukarıdaki gibi kurmazsanız milyon tane ilintilendirme hatası alırsınız.

Sembolik Bağlantıların Yaratılması

Aşağıdaki sembolik bağlantıları yaratarak gcc296 ve g++296'yi $PATH değişkeninizde ilk sıraya yerleştirin:

# mv /usr/bin/gcc /usr/bin/gcc323
# mv /usr/bin/g++ /usr/bin/g++323
# ln -s /usr/bin/gcc296 /usr/bin/gcc
# ln -s /usr/bin/g++296 /usr/bin/g++

Eğer sisteminizi güncellemişseniz GCC sürüm numaraları farklı olabilir.